/* Datei:  comsf_pc.h
 * Author: gkemnitz
 * Datum:  27.10.2015
 *
 * Header fr den Gertetreiber comsf_pc
 *
 * PmodUSBUSART an JH oben
 */  


#ifndef COMFS_PC_H_
#define COMFS_PC_H_

#include <avr/io.h>

// Gre der Empfangs- und Sendenachricht
#define COM_PC_SMSG_LEN 4
#define COM_PC_RMSG_LEN 4

  void com_pc_init();        // Initialisierung
  void com_pc_step();        // Schrittfunktion
                             // Nachricht bernehmen
  uint8_t com_pc_get(uint8_t *msg);
                             // Nachricht bergeben
  uint8_t com_pc_send(uint8_t *msg);
			
  void com_pc_rmsg_clr();    // Leeren des Empfangspuffers
  uint8_t com_pc_last_byte();// Rckgabe letztes Byte


#endif /* COMFS_PC_H_ */
